//
// ==========================================
// QuakeCon mapobject model submission shader
// ==========================================
//
// These shaders are used by all of my QuakeCon entries, not just this model.
//
// 1st August
// Daniel Vogt


//
// Punishment model
//
models/mapobjects/vogt/punishment/punishment
{
	qer_editorimage models/mapobjects/vogt/punishment/punishment.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		rgbGen identity
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_highlights.tga
		blendfunc add
		rgbGen identity
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_fx.tga
		blendfunc filter
		rgbGen identity
		tcGen environment 
	}
	{
		map models/mapobjects/vogt/punishment/punishment_specular_mask.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
	{
		map models/mapobjects/vogt/punishment/punishment.tga
		blendfunc blend
		rgbGen Vertex
	}
}

models/mapobjects/vogt/punishment/lava
{
	qer_editorimage models/mapobjects/vogt/punishment/lavahell_dark.tga
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		tcMod scroll -0.01 -0.05
		tcMod scale 4 4
	}
	{
		map models/mapobjects/vogt/punishment/lavahell_dark.tga
		blendfunc add
		tcMod scale 2 -2
		tcMod scroll 0 0.15
	}
}