

//******************************************//*
//*                                          //*
//*             Liquides                     //*
//*                                          //*
//******************************************

       
textures/nomercy/sang/blood
	{
		qer_editorimage textures/nomercy/sang/blood2.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	        surfaceparm fog
                fogparms ( 1 .70 .60 ) 512
                q3map_tessSize 64 

		cull disable
		deformVertexes wave 128 sin 0.5 2 0 1	
		
		{ 
			map textures/nomercy/sang/blood1.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
                        tcMod turb 0.1 0.2 0 0.2 
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/nomercy/sang/blood2.tga
			blendFunc GL_dst_color GL_one
 			rgbgen identity
                        tcMod turb 0.1 0.2 0 0.2
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/nomercy/sang/blood3.tga
			blendFunc GL_dst_color GL_one
 			rgbgen identity
                        tcMod turb 0.1 0.2 0 0.2
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}
	
	
	
		

//******************************************//*
//*                                          //*
//*             Levelshots                   //*
//*                                          //*
//******************************************

levelshots/ut4_nomercy
{
	nopicmip
	nomipmaps
        {
                map levelshots/ut4_nomercy.tga
        }
	{
                map levelshots/ut4_nomercy_2.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.04
	}	
	{        
                map levelshots/ut4_nomercy_3.tga
		blendFunc	GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen	wave sin 0 1 1 0.04  
        }


}



//******************************************//*
//*                                          //*
//*             Animations                   //*
//*                                          //*
//******************************************



textures/sfx/zombi
{
                qer_editorimage textures/sfx/zombi7.tga

       {       
         
         animmap 10 textures/sfx/zombi1.tga                                  textures/sfx/zombi2.tga
         textures/sfx/zombi3.tga 
         textures/sfx/zombi4.tga
         textures/sfx/zombi5.tga
         textures/sfx/zombi6.tga
         textures/sfx/zombi7.tga
         textures/sfx/zombi8.tga
       }                  
       {
		map textures/sfx/zombi9.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
        }
}


////////////////////////////////////////////////////////

textures/flashexplosion
{
        qer_editorimage models/weaphits/flboom/flboom_3.tga
	cull disable
	{
		animmap 5 models/weaphits/flboom/flboom_1.tga  models/weaphits/flboom/flboom_2.tga models/weaphits/flboom/flboom_3.tga
		rgbGen wave inversesawtooth 0 1 0 5
		blendfunc add
	}
	{
		animmap 5 models/weaphits/flboom/flboom_2.tga  models/weaphits/flboom/flboom_3.tga gfx/colors/black.tga
		rgbGen wave sawtooth 0 1 0 5
		blendfunc add


       	}
        
}

  








//******************************************//*
//*                                          //*
//*             Lumires                     //*
//*                                          //*
//******************************************




textures/nomercy/light/jaune
{

        q3map_lightimage 
	qer_editorimage textures/nomercy/light/jaune.tga
	qer_trans 0.70

	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm noimpact
 	

	q3map_surfacelight 9500
	q3map_lightRGB 1 1 1
	{
		map $whiteimage
		blendFunc filter
		rgbGen const ( 1.00 1.00 1.00 )
	}
}








textures/nomercy/sol/enfer
{
	qer_editorimage textures/nomercy/sol/enfer.tga
	qer_trans 0.70

        surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
 	
	q3map_surfacelight 800
	q3map_lightRGB 0.5 1 0.5

	{
		map $lightmap
		blendFunc filter
		rgbGen const ( 0.6 0.7 0.6 )
	}
}



/////////////////////////////////////////




textures/nomercy/projection/vitrail1
{
	qer_editorimage textures/nomercy/projection/vitrail1.tga
	qer_trans 0.10

	surfaceparm nomarks
	surfaceparm noimpact
 	surfaceparm lightfilter	
		
}






//******************************************//*
//*                                          //*
//*             Ciel                         //*
//*                                          //*
//******************************************


textures/env/cubemap_night/sky
{
	qer_editorimage textures/env/cubemap_night/night_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .5 .37 .19  30 70
	//q3map_sun .5 .37 .19 70 170 40
	q3map_sun .5 .5 .5 120 130 55
	//q3map_surfacelight 80
	q3map_surfacelight 180

        skyparms env/cubemap_night/night.tga - -
	
}



//******************************************//************
//*                                          //          *
//*                Funstuffs                 //         *
//*                                          //          *
//*                                          //          *
//******************************************




models/players/funstuff/rubisv
{
cull none
polygonoffset
	{
	map models/players/funstuff/rubisv.tga
	alphaFunc GE128
	depthWrite
	rgbGen lightingDiffuse
	}
}


//








//******************************************//****
//*                                          //*
//*             Effet                        //*
//*                                          //*
//******************************************


textures/nomercy/effet/arcc
{
q3map_nolightmap
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm nonopaque
surfaceparm nomarks
cull twosided
{
map textures/nomercy/effet/arcc
blendFunc GL_ONE GL_SRC_ALPHA
rgbGen const (0.5 0.5 0.5)
alphaFunc GE128
alpha towards const 1.0
}
}

